
Redmine - Defect #10721

Loss of attachments while fetching emails from IMAP (GMail)

2012-04-20 06:37 - Anonymous

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:  Affected version: 1.3.2

Description

When new issue is created by email fetched from gmail via redmine:email:receive_imap, attachments are ignored.

Steps to reproduce:

1. send email with attachment to redmine GMail account.

2. execute rake redmine:email:receive_imap RAILS_ENV=production

3. go to issue list of the project

Expected: new issue was created with file attached to it. Mail in GMail box was cleared.

In fact: new issue is created but without attachments. Message is left in mailbox.

Related issues:

Related to Redmine - Patch #11499: Fixed attachments handling when receiving ... New

History

#1 - 2012-06-18 13:04 - Максим Лазарев

have the same problem, tell me, please, what's the problem?

#2 - 2012-08-04 15:45 - Gregory Engels

see also related issue #11499 (with a patch)

#3 - 2013-04-18 11:58 - Steffen Zieger

- File redmine_attachments_save.diff added

The following patch is working for me on Redmine 2.3.0

#4 - 2015-12-22 19:21 - Sebastian Paluch

This is still needed for 3.2.0.

This is very minor change. Can this be addressed soon?

#5 - 2016-04-29 16:16 - Moritz D

I'm using 3.2.0

same problem as issue author

"new issue is created but without attachments. Message is marked read and left in mailbox"

applying  redmine_attachments_save.diff did not help. should it resolve the problem? is noone else using email attachments?

any suggestions?

thank you in advance

#6 - 2016-07-11 00:29 - Prabhash Mishra

I too am having the same problem on Redmine 3.2.3

IMAP and Gmail

Ticket gets created but attachment is ignored.

The patch does not work either.
Does anyone have a fix on this? Please help...

Thanks & Regards,

Prabhash

#7 - 2016-08-09 20:42 - Akhilesh Sabharwal

Facing the same issue on Redmine 3.3.0.

Facing the same issue. All functions of retrieving mail working, except for attachments. On IMAP / POP3

Could this be a function of the IMAP server?

In which case will try an alternative.

Thanks,

Akhilesh

#8 - 2016-09-22 08:32 - Alexandr Meshkov

It works on Redmine 3.3.0, if you run the command via cron

#9 - 2017-07-20 16:03 - Janeks Kamerovskis

I have the same problem with:

Environment:

Redmine version                3.3.3.stable

Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux-gnu]

Rails version                  4.2.7.1

Environment                    production

Database adapter               Mysql2

 Where could I look / dig to find the solution?

brgds

Janeks

#10 - 2018-03-12 13:02 - Nicolas Silberzahn

Please fix this! My Incomming emails from Evernote contains only inline images (hand writing)

#11 - 2020-05-26 04:21 - Yuichi HARADA

- File 10721-fixed.patch added

The problem could not be reproduced, but the possible causes are:

1. The process to add the attachments is performed after issue#save!

2. Attachments are added directly to issue#attachments, but originally it must go through #saved_attachments defined in acts_as_attachable.

I created a patch.

#12 - 2020-05-30 11:32 - Go MAEDA

- Target version set to Candidate for next major release

#13 - 2021-04-19 05:37 - Wicky Hu

I tested 10721-fixed.path in latest 4.2.0, it seems only working for one attachment.

If there are two or more attachments in email, then only the first attachment shown in notification mail.

I guess the reason is new issue email is created when first attachment added and issue saved, after that, remaining attachments  added and saved.

#14 - 2021-04-20 09:55 - anju dhiman

We also want to get all attachments from email when any ticket is creating.

Can you guys help us?

#15 - 2021-04-21 10:54 - Nicolas Silberzahn

+1 (3 years after!)

#16 - 2021-04-21 11:31 - anju dhiman
guys is there any possibility to have this feature?

#17 - 2021-04-23 15:30 - Wicky Hu

I think to change the add_attachments method could solve the issue, basically to change << to build, not yet fully tested, but seems working.

#    obj.attachments << Attachment.create(:container => obj,

                    #                      :file => attachment.body.decoded,

                    #                      :filename => attachment.filename,

                    #                      :author => user,

                    #                      :content_type => attachment.mime_type)

obj.attachments.build(:container => obj,

                                          :file => attachment.body.decoded,

                                          :filename => attachment.filename,

                                          :author => user,

                                          :content_type => attachment.mime_type)

Files

versions.txt 328 Bytes 2012-04-20 Anonymous

redmine_attachments_save.diff 520 Bytes 2013-04-18 Steffen Zieger

10721-fixed.patch 3.03 KB 2020-05-26 Yuichi HARADA
